<?php

//Adatbázis segédfüggvények
function tabla_init($fajlnev, $tablanev, $create_sql) {
	$db = adatbazis_nyit($fajlnev);

	$siker = true;
	$result = sqlite_query($db, 
		"SELECT name FROM sqlite_master WHERE type='table' AND name='{$tablanev}'");
	if (sqlite_num_rows($result) == 0) {
		$siker = sqlite_exec($db, $create_sql);
	}

	adatbazis_zar($db);

	return $siker;
}

function adatbazis_nyit($fajlnev) {
	$db = sqlite_open($fajlnev, 0666, $sqliteerror);
	if (!$db) {
		die($sqliteerror);
	}
	return $db;
}

function adatbazis_zar($db) {
	sqlite_close($db);
}

function lekerdezes_tombbe($sql) {
	$db = adatbazis_nyit('filmek.sqlite');
	$ered = sqlite_array_query($db, $sql, SQLITE_ASSOC);
	adatbazis_zar($db);
	return $ered;
}

//Tábla inicializálása
$filmek_create_sql = 'create table filmek (
						id integer primary key,
						cim,
						rendezo,
						ev)';
tabla_init('filmek.sqlite', 'filmek', $filmek_create_sql);

//Feldolgozó függvények
function osszes_film() {
	return lekerdezes_tombbe('select * from filmek');
}

//-----------------------------------------------------

$filmek = osszes_film();

//---------------------------------------------------------
?>
<!doctype html>
<html>
	<meta charset="utf-8">
	<head>
		<title></title>
	</head>
	<body>
		<h1>Filmlista</h1>
		<a href="ujfilm_ab.php">Új film...</a>
		<table>
			<tr>
				<th>Azonosító</th>
				<th>Cím</th>
				<th>Rendezõ</th>
				<th>Év</th>
			</tr>
			<?php foreach ($filmek as $f) : ?>
			<tr>
				<td><?php echo $f['id']; ?></td>
				<td><?php echo $f['cim']; ?></td>
				<td><?php echo $f['rendezo']; ?></td>
				<td><?php echo $f['ev']; ?></td>
			</tr>
			<?php endforeach; ?>
		</table>
		
	</body>
</html>
